matrix:
- name: Check Build
  hunspell:
    d: en_US,dictionary/en_US.dic
  dictionary:
    wordlists:
    - ./allowed_words.dic
  sources:
  # - build/*.rst
  - ./README.md
  pipeline:

  - pyspelling.filters.context:
      context_visible_first: true
      escapes: '\\[\\`~]'
      delimiters:
      - open: '(?s)^(?P<open>^::\n\n*)'
        content: '.*?'
        close: '(?=(^[^\s]))'
      # Ignore text between inline back ticks
      - open: '(?P<open>`+)'
        content: '.*?'
        close: '(?P=open)'
      - open: ' '
        content: '[a-zA-Z0-9\-]{15,}'
        close: ''
      # Ignore oneline sphinx directives
      - open: '(?P<open>\.\. .+\:+)'
        content: '.*?'
        close: '$'
      - open: '(?P<open>\.\. .+\n\n*)'
        content: '.*?'
        close: '$'

